ps_latpath_s Struct Reference

Partial path structure used in N-best (A*) search. More...

`#include <ps_lattice_internal.h>`

## Data Fields

ps_latnode_t * | node
| Node ending this path.
struct ps_latpath_s * | parent
| Previous element in this path.
struct ps_latpath_s * | next
| Pointer to next path in list of paths.
int32 | score
| Exact score from start node up to node->sf.

## Detailed Description

Partial path structure used in N-best (A*) search.

Each partial path (latpath_t) is constructed by extending another partial path–parent–by one node.

Definition at line 153 of file ps_lattice_internal.h.

## Field Documentation

## next

struct ps_latpath_s* ps_latpath_s::next

Pointer to next path in list of paths.

Definition at line 156 of file ps_lattice_internal.h.

Referenced by ps_astar_next().

## node

ps_latnode_t* ps_latpath_s::node

Node ending this path.

Definition at line 154 of file ps_lattice_internal.h.

Referenced by ps_astar_hyp(), ps_astar_next(), ps_astar_seg_iter(), and ps_astar_start().

## parent

struct ps_latpath_s* ps_latpath_s::parent

Previous element in this path.

Definition at line 155 of file ps_lattice_internal.h.

Referenced by ps_astar_hyp(), ps_astar_seg_iter(), and ps_astar_start().

## score

int32 ps_latpath_s::score

Exact score from start node up to node->sf.

Definition at line 157 of file ps_lattice_internal.h.

Referenced by ps_astar_start(), and ps_nbest_hyp().

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/ps_lattice_internal.h